<div id="{{ id }}" class="mdc-select mdc-select--filled full-width-class{% if disabled is defined and disabled == true  %} mdc-select--disabled{% endif %}" style="width: 100%">
    <input type="hidden" name="{{ name }}" value="{{ value }}">
    <div class="mdc-select__anchor" role="button" aria-haspopup="listbox"{% if disabled is defined and disabled == true  %} aria-disabled="true"{% endif %} aria-expanded="false" aria-labelledby="{{ labelId }} {{ id }}-selected-text">
        <span class="mdc-select__ripple"></span>
        <span id="{{ labelId }}" class="mdc-floating-label">{{ label }}</span>
        <span class="mdc-select__selected-text-container">
            <span id="{{ id }}-selected-text" class="mdc-select__selected-text"></span>
        </span>
        <span class="mdc-select__dropdown-icon">
            <svg class="mdc-select__dropdown-icon-graphic" viewBox="7 10 10 5" focusable="false">
                <polygon class="mdc-select__dropdown-icon-inactive" stroke="none" fill-rule="evenodd" points="7 10 12 15 17 10"></polygon>
                <polygon class="mdc-select__dropdown-icon-active" stroke="none" fill-rule="evenodd" points="7 15 12 10 17 15"></polygon>
            </svg>
        </span>
        <span class="mdc-line-ripple"></span>
    </div>
    <div class="mdc-select__menu mdc-menu mdc-menu-surface mdc-menu-surface--fullwidth">
        <ul class="mdc-list" role="listbox" aria-label="picker listbox">
            {% for choiceView in choiceViews %}
                <li class="mdc-list-item{% if choiceView.value == value %} mdc-list-item--selected{% endif %}" aria-selected="{% if choiceView.value == value %}true{% else %}false{% endif %}" data-value="{{ choiceView.value }}" role="option">
                    <span class="mdc-list-item__ripple"></span>
                    <span class="mdc-list-item__text">{{ choiceView.label }}</span>
                </li>
            {% endfor %}
        </ul>
    </div>
</div>
